# Enum PathValidation

java.lang.Object
java.lang.Enum<PathValidation>
org.gradle.api.PathValidation

All Implemented Interfaces:
  `Serializable, Comparable<PathValidation>, Constable`

public enum PathValidation extends Enum<PathValidation>
An enumeration for describing validation policies for file paths.

Since:
  0.7

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  `EXISTS`
  `FILE`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathValidation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PathValidation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final PathValidation NONE
    Since:
      0.7

  - ### EXISTS

    public static final PathValidation EXISTS
    Since:
      0.7

  - ### FILE

    public static final PathValidation FILE
    Since:
      0.7

  - ### DIRECTORY

    public static final PathValidation DIRECTORY
    Since:
      0.7

- ## Method Details

  - ### values

    public static PathValidation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PathValidation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null